javascript: (function() {
	
	var EventUtil = new Object;
	EventUtil.addEventHandler = function (oTarget, sEventType, fnHandler) {
		if (oTarget.addEventListener) {
			oTarget.addEventListener(sEventType, fnHandler, false);
		} else if (oTarget.attachEvent) {
			oTarget.attachEvent("on" + sEventType, fnHandler);
		} else {
			oTarget["on" + sEventType] = fnHandler;
		}
	};
        
	EventUtil.removeEventHandler = function (oTarget, sEventType, fnHandler) {
		if (oTarget.removeEventListener) {
			oTarget.removeEventListener(sEventType, fnHandler, false);
		} else if (oTarget.detachEvent) {
			oTarget.detachEvent("on" + sEventType, fnHandler);
		} else { 
			oTarget["on" + sEventType] = null;
		}
	};
	function handleTouchEvent(event){
		console.log('event.touches.length='+event.touches.length);
		if(event.touches.length >= 0){
			switch(event.type){
				case 'touchstart':
					console.log('$TransitionMode#transition:OK');
				break;
				case 'touchend':
					console.log('$TransitionMode#transition:FALSE');
				break;
				case 'touchmove':
					console.log('touchmove oncall ~');
				break;
				}
		}
	};

    var dochost = document.location.host;
if(dochost.match(/map\.baidu\.com/) || dochost.match(/mo\.amap\.com/)){
		EventUtil.addEventHandler(document,'touchstart',handleTouchEvent);
		EventUtil.addEventHandler(document,'touchend',handleTouchEvent);
		EventUtil.addEventHandler(document,'touchmove',handleTouchEvent);
	}else if(dochost.match(/m\.sohu\.com/) || dochost.match(/m\.taobao\.com/) || dochost.match(/xw\.qq\.com/) || dochost.match(/3g\.163\.com/) ||dochost.match(/sina\.cn/)){
		
		var sohuMode = document.getElementsByTagName('ul');
		
		if(sohuMode&&sohuMode.length>0){
		for (var i = 0; i < sohuMode.length; i++) {
			var v = sohuMode[i];
			if(v&&v.getAttribute('style')&&v.getAttribute('style').indexOf('translate')>-1){
				EventUtil.addEventHandler(v,'touchstart',handleTouchEvent);
				EventUtil.addEventHandler(v,'touchend',handleTouchEvent);
			}
		}
		if(dochost.match(/xw\.qq\.com/)){
			var qqxwMode = document.getElementsByClassName('content');
				if(qqxwMode&&qqxwMode.length>-1){
					for (var i = 0; i < qqxwMode.length; i++) {
						var h = qqxwMode[i];
						if(h&&h.getAttribute('style')&&h.getAttribute('style').indexOf('translate3d')>-1){
							EventUtil.addEventHandler(h,'touchstart',handleTouchEvent);
							EventUtil.addEventHandler(h,'touchend',handleTouchEvent);
						}
					}
				}
			}
		if (dochost.match(/3g\.163\.com/)){
				var wangyiMode = document.getElementsByClassName('clearfix');
				if(wangyiMode&&wangyiMode.length>-1){
					for (var i = 0; i < wangyiMode.length; i++) {
						var h = wangyiMode[i];
						if(h&&h.getAttribute('style')&&h.getAttribute('style').indexOf('translate3d')>-1){
							EventUtil.addEventHandler(h,'touchstart',handleTouchEvent);
							EventUtil.addEventHandler(h,'touchend',handleTouchEvent);
						}
					}
				}
			}
	    if(dochost.match(/sina\.cn/)){
			var sinaMode = document.getElementsByClassName('swipe_pic');
			if(sinaMode&&sinaMode.length>-1){
				for (var i = 0; i < sinaMode.length; i++) {
					var h = sinaMode[i];
					if(h&&h.getAttribute('style')&&h.getAttribute('style').indexOf('translate')>-1){
						EventUtil.addEventHandler(h,'touchstart',handleTouchEvent);
						EventUtil.addEventHandler(h,'touchend',handleTouchEvent);
					}
				}
			}
		}
		}
	}else if(dochost.match(/m\.image\.haosou\.com/)){
		var haosouMode = document.getElementsByClassName('lb_wrapper');
		if(haosouMode&&haosouMode.length>-1){
			for (var i = 0; i < haosouMode.length; i++) {
				var h = haosouMode[i];
				if(h){
					EventUtil.addEventHandler(h,'touchstart',handleTouchEvent);
					EventUtil.addEventHandler(h,'touchend',handleTouchEvent);
				}
			}
		}
	}
	/*else if(dochost.match(/i\.meituan\.com/)){
		var meituanMode = document.getElementsByClassName('list list-in');
		if(meituanMode&&meituanMode.length>-1){
			for (var i = 0; i < meituanMode.length; i++) {
				var h = meituanMode[i];
				if(h){
					EventUtil.addEventHandler(h,'touchstart',handleTouchEvent);
					EventUtil.addEventHandler(h,'touchend',handleTouchEvent);
				}
			}
		}
	}*/
	else if (dochost.match(/i\.ifeng\.com/)){
		
		var ifengMode = document.getElementById('hot-pic-zone');
		if(ifengMode){
			EventUtil.addEventHandler(ifengMode,'touchstart',handleTouchEvent);
			EventUtil.addEventHandler(ifengMode,'touchend',handleTouchEvent);
		}
	}
	
})();



